package cn.estsh.i3plus.ext.mes.pcn.api.busi.jx;


import cn.estsh.i3plus.ext.mes.pcn.pojo.model.OqcLastCheckModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.OqcLastCheckParamModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

/**
 * @Description :BU质检接口
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022-02-18
 * @Modify:
 **/
public interface IJxOqcLastCheckService {

    /**
     * 总检验结果分页查询
     * @param model 查询信息
     * @param pager 分页信息
     * @return 总检验结果分页数据
     */
    @ApiOperation(value = "总检验结果分页查询", notes = "总检验结果分页查询")
    ListPager<OqcLastCheckModel> queryOqcLastCheckPager(OqcLastCheckModel model, Pager pager);

    /**
     * 修改总检验单结果
     * @param model 查询信息
     */
    @ApiOperation(value = "修改总检验单结果", notes = "修改总检验单结果")
    void updateOutPutStatisticsOqcCheck(OqcLastCheckParamModel model);

}
